Bug 32254 - Add 'page-section' to various tools pages
Summary: Add 'page-section' to various tools pages
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 31757
  Show dependency treegraph
 
Reported: 2022-11-17 17:23 UTC by Owen Leonard
Modified: 2022-11-22 19:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 32254: Add 'page-section' to various tools pages (69.51 KB, patch)
2022-11-17 17:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32254: Add 'page-section' to various tools pages (69.56 KB, patch)
2022-11-17 18:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32254: (follow-up) Add page section to Cashup history (1.69 KB, patch)
2022-11-17 18:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32254: (follow-up) Add missing div around "Older transactions" (12.92 KB, patch)
2022-11-18 16:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32254: Add 'page-section' to various tools pages (69.61 KB, patch)
2022-11-18 21:02 UTC, David Nind
Details | Diff | Splinter Review
Bug 32254: (follow-up) Add page section to Cashup history (1.73 KB, patch)
2022-11-18 21:02 UTC, David Nind
Details | Diff | Splinter Review
Bug 32254: (follow-up) Add missing div around "Older transactions" (12.97 KB, patch)
2022-11-18 21:02 UTC, David Nind
Details | Diff | Splinter Review
Bug 32254: (follow-up) Add missing div around "Older transactions" (13.02 KB, patch)
2022-11-19 20:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-11-17 17:23:14 UTC
Several pages listed on the Tools page need the page-section container:

- patroncards/edit-batch.tt
- pos/register.tt
- pos/registers.tt
- tools/access_files.tt
- tools/additional-contents.tt
- tools/batch_extend_due_dates.tt
- tools/modborrowers.tt
- tools/picture-upload.tt
- tools/upload.tt
Comment 1 Owen Leonard 2022-11-17 17:48:13 UTC
Created attachment 144018 [details] [review]
Bug 32254: Add 'page-section' to various tools pages

This patch adds a .page-section div to various pages in the tools
section in order to provide a consistent page structure.

Also changed: Corrected a couple of templates which were missing some
<tr> tags.

This patch includes indentation changes, so please ignore whitespace
when looking at the diff.

To test, apply the patch and view the following pages to confirm that
the primary page content is wrapped in a container with a white
background:

- Tools -> Access files
- Tools -> HTML customizations
  - Additional contents, news or pages-- all use the same template.
  - Check the list of existing entries.
- Tools -> Batch extend due dates
  - Choose a set of criteria that will return results and click
   "Continue".
  - Check the list of checkouts to be updated.
- Tools -> Batch patron modification
  - Submit a batch of patrons for modification.
  - Check the list of patrons to be modified.
- Tools -> Upload patron images
  - Upload one or more patron images
  - Check the view of results
- Tools -> Upload
  - Upload a file and view the results, or perform a search and check
    the view of results.
- Tools -> Patron card creator -> New patron card batch.
  - Submit a set of patrons and check the display of patrons in the
    resulting batch.
- Tools -> Cash summary for <library> and Tools -> Transaction history
  for <register>
  - Confirm that the table of data looks correct
Comment 2 Katrin Fischer 2022-11-17 18:48:28 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2022-11-17 18:48:32 UTC Comment hidden (obsolete)
Comment 4 David Nind 2022-11-17 20:12:33 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2022-11-18 16:34:37 UTC Comment hidden (obsolete)
Comment 6 David Nind 2022-11-18 21:02:46 UTC
Created attachment 144079 [details] [review]
Bug 32254: Add 'page-section' to various tools pages

This patch adds a .page-section div to various pages in the tools
section in order to provide a consistent page structure.

Also changed: Corrected a couple of templates which were missing some
<tr> tags.

This patch includes indentation changes, so please ignore whitespace
when looking at the diff.

To test, apply the patch and view the following pages to confirm that
the primary page content is wrapped in a container with a white
background:

- Tools -> Access files
- Tools -> HTML customizations
  - Additional contents, news or pages-- all use the same template.
  - Check the list of existing entries.
- Tools -> Batch extend due dates
  - Choose a set of criteria that will return results and click
   "Continue".
  - Check the list of checkouts to be updated.
- Tools -> Batch patron modification
  - Submit a batch of patrons for modification.
  - Check the list of patrons to be modified.
- Tools -> Upload patron images
  - Upload one or more patron images
  - Check the view of results
- Tools -> Upload
  - Upload a file and view the results, or perform a search and check
    the view of results.
- Tools -> Patron card creator -> New patron card batch.
  - Submit a set of patrons and check the display of patrons in the
    resulting batch.
- Tools -> Cash summary for <library> and Tools -> Transaction history
  for <register>
  - Confirm that the table of data looks correct

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: David <david@davidnind.com>
Comment 7 David Nind 2022-11-18 21:02:50 UTC
Created attachment 144080 [details] [review]
Bug 32254: (follow-up) Add page section to Cashup history

Adds one missing page section on the last table of the
POS transactions page.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: David <david@davidnind.com>
Comment 8 David Nind 2022-11-18 21:02:56 UTC
Created attachment 144081 [details] [review]
Bug 32254: (follow-up) Add missing div around "Older transactions"

To test:

- Tools -> Cash summary for <library> and Tools -> Transaction history
  for <register>
  - In the "Older transactions" section, submit start and end dates
    which will return results.
  - The table of results should be styled correctly.

Signed-off-by: David <david@davidnind.com>
Comment 9 Katrin Fischer 2022-11-19 20:07:22 UTC
Created attachment 144091 [details] [review]
Bug 32254: (follow-up) Add missing div around "Older transactions"

To test:

- Tools -> Cash summary for <library> and Tools -> Transaction history
  for <register>
  - In the "Older transactions" section, submit start and end dates
    which will return results.
  - The table of results should be styled correctly.

Signed-off-by: David <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Tomás Cohen Arazi 2022-11-22 19:40:46 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!